# Class WindowService

- Defined in packages/angular/window-system/src/lib/window.service.ts:44

#####
Index

### Constructors

constructor

### Properties

activeCount$

### Accessors

activeWindowCount
allActiveWindows
hasActiveWindows

### Methods

add
close
get
has
open
remove

##
Constructors

### constructor

- new WindowService(
  injector: Injector,
  overlay: Overlay,
  componentFactoryResolver: ComponentFactoryResolver,
  defaultWindowSettings?: WindowSettings<any>,
  ): WindowService

  #### Parameters

  - injector: Injector
  - overlay: Overlay
  - componentFactoryResolver: ComponentFactoryResolver
  - `Optional` defaultWindowSettings: WindowSettings<any>

  #### Returns WindowService

  - Defined in packages/angular/window-system/src/lib/window.service.ts:48

##
Properties

### `Readonly` activeCount$

activeCount$: Subject<number> = ...

- Defined in packages/angular/window-system/src/lib/window.service.ts:45

##
Accessors

### activeWindowCount

- get activeWindowCount(): number

  #### Returns number

  - Defined in packages/angular/window-system/src/lib/window.service.ts:63

### allActiveWindows

- get allActiveWindows(): WindowRef<any, any>[]

  #### Returns WindowRef<any, any>[]

  - Defined in packages/angular/window-system/src/lib/window.service.ts:67

### hasActiveWindows

- get hasActiveWindows(): boolean

  #### Returns boolean

  - Defined in packages/angular/window-system/src/lib/window.service.ts:59

##
Methods

### add

- add(windowRef: WindowRef<any>): void

  #### Parameters

  - windowRef: WindowRef<any>

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window.service.ts:179

### close

- close(id: string): void

  #### Parameters

  - id: string

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window.service.ts:78

### get

- get<D>(id: string): WindowRef<D>

  #### Type Parameters

  - D

  #### Parameters

  - id: string

  #### Returns WindowRef<D>

  - Defined in packages/angular/window-system/src/lib/window.service.ts:71

### has

- has(id: string): boolean

  #### Parameters

  - id: string

  #### Returns boolean

  - Defined in packages/angular/window-system/src/lib/window.service.ts:83

### open

- open<D, T>(config: WindowConfig<D, T>): WindowRef<D>

  #### Type Parameters

  - D
  - T

  #### Parameters

  - config: WindowConfig<D, T>

  #### Returns WindowRef<D>

  - Defined in packages/angular/window-system/src/lib/window.service.ts:87

### remove

- remove(id: string): boolean

  #### Parameters

  - id: string

  #### Returns boolean

  - Defined in packages/angular/window-system/src/lib/window.service.ts:173